VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::SourceStub Class Reference

Remote stub implementation of the Source API service. More...

Inherits vmware::vapi::metadata::cli::Source.

List of all members.

## Public Member Functions
| SourceStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
void | Create (string sourceId, vmware.vapi.metadata.cli.SourceTypes.CreateSpec spec)
| Creates a new metadata source.
void | Create (string sourceId, vmware.vapi.metadata.cli.SourceTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new metadata source.
global::System.Threading.Tasks.Task | CreateAsync (string sourceId, vmware.vapi.metadata.cli.SourceTypes.CreateSpec spec)
| Creates a new metadata source.
global::System.Threading.Tasks.Task | CreateAsync (string sourceId, vmware.vapi.metadata.cli.SourceTypes.CreateSpec spec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new metadata source.
void | Delete (string sourceId)
| Deletes an existing CLI metadata source from the infrastructure.
void | Delete (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing CLI metadata source from the infrastructure.
global::System.Threading.Tasks.Task | DeleteAsync (string sourceId)
| Deletes an existing CLI metadata source from the infrastructure.
global::System.Threading.Tasks.Task | DeleteAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes an existing CLI metadata source from the infrastructure.
vmware.vapi.metadata.cli.SourceTypes.Info | Get (string sourceId)
| Retrieves information about the metadata source corresponding to sourceId .
vmware.vapi.metadata.cli.SourceTypes.Info | Get (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the metadata source corresponding to sourceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.cli.SourceTypes.Info > | GetAsync (string sourceId)
| Retrieves information about the metadata source corresponding to sourceId .
global::System.Threading.Tasks.Task < vmware.vapi.metadata.cli.SourceTypes.Info > | GetAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Retrieves information about the metadata source corresponding to sourceId .
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of the metadata sources currently registered with the infrastructure.
void | Reload (string sourceId)
| Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
void | Reload (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task | ReloadAsync (string sourceId)
| Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task | ReloadAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.
string | Fingerprint (string sourceId)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.
string | Fingerprint (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task < string > | FingerprintAsync (string sourceId)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.
global::System.Threading.Tasks.Task < string > | FingerprintAsync (string sourceId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

## Detailed Description

Remote stub implementation of the Source API service.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::SourceStub::SourceStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

void vmware::vapi::metadata::cli::SourceStub::Create | ( | string | sourceId,
|  | vmware.vapi.metadata.cli.SourceTypes.CreateSpec | spec
| ) |  | `[inline]`

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the CLI metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.cli namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | If the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | If type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the file specified in null is not a valid JSON file or if the format of the CLI metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.cli namespace.
  vmware.vapi.std.errors.NotFound | If the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  spec | create specification.

Implements vmware::vapi::metadata::cli::Source.

void vmware::vapi::metadata::cli::SourceStub::Create | ( | string | sourceId,
|  | vmware.vapi.metadata.cli.SourceTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the CLI metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.cli namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | If the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | If type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the file specified in null is not a valid JSON file or if the format of the CLI metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.cli namespace.
  vmware.vapi.std.errors.NotFound | If the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  spec | create specification.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task vmware::vapi::metadata::cli::SourceStub::CreateAsync | ( | string | sourceId,
|  | vmware.vapi.metadata.cli.SourceTypes.CreateSpec | spec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the CLI metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.cli namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | If the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | If type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the file specified in null is not a valid JSON file or if the format of the CLI metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.cli namespace.
  vmware.vapi.std.errors.NotFound | If the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  spec | create specification.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task vmware::vapi::metadata::cli::SourceStub::CreateAsync | ( | string | sourceId,
|  | vmware.vapi.metadata.cli.SourceTypes.CreateSpec | spec
| ) |  | `[inline]`

Creates a new metadata source.

Once the server validates the registration information of the metadata source, the CLI metadata is retrieved from the source. This populates elements in all the interfaces defined in vmware.vapi.metadata.cli namespace.

Exceptions:

  vmware.vapi.std.errors.AlreadyExists | If the metadata source identifier is already registered with the infrastructure.
  vmware.vapi.std.errors.InvalidArgument | If type of the source specified in null is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the file specified in null is not a valid JSON file or if the format of the CLI metadata in the JSON file is invalid.
  vmware.vapi.std.errors.InvalidArgument | If the URI specified in null is unreachable or if there is a transport protocol or message protocol mismatch between the client and the server or if the remote server do not have interfaces present in vmware.vapi.metadata.cli namespace.
  vmware.vapi.std.errors.NotFound | If the file specified in null does not exist.

Parameters:

  sourceId | metadata source identifier. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  spec | create specification.

Implements vmware::vapi::metadata::cli::Source.

void vmware::vapi::metadata::cli::SourceStub::Delete | ( | string | sourceId | ) | `[inline]`

Deletes an existing CLI metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .

Implements vmware::vapi::metadata::cli::Source.

void vmware::vapi::metadata::cli::SourceStub::Delete | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes an existing CLI metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task vmware::vapi::metadata::cli::SourceStub::DeleteAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes an existing CLI metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task vmware::vapi::metadata::cli::SourceStub::DeleteAsync | ( | string | sourceId | ) | `[inline]`

Deletes an existing CLI metadata source from the infrastructure.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .

Implements vmware::vapi::metadata::cli::Source.

string vmware::vapi::metadata::cli::SourceStub::Fingerprint | ( | string | sourceId | ) | `[inline]`

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, the fingerprint of all the metadata sources is returned.

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implements vmware::vapi::metadata::cli::Source.

string vmware::vapi::metadata::cli::SourceStub::Fingerprint | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, the fingerprint of all the metadata sources is returned.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::cli::SourceStub::FingerprintAsync | ( | string | sourceId | ) | `[inline]`

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, the fingerprint of all the metadata sources is returned.

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task<string> vmware::vapi::metadata::cli::SourceStub::FingerprintAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the aggregate fingerprint of metadata from all the metadata sources or from a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, the fingerprint of all the metadata sources is returned.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Aggregate fingerprint of all the metadata sources or of a particular metadata source.

Implements vmware::vapi::metadata::cli::Source.

vmware.vapi.metadata.cli.SourceTypes.Info vmware::vapi::metadata::cli::SourceStub::Get | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Source.Info instance that corresponds to sourceId

Implements vmware::vapi::metadata::cli::Source.

vmware.vapi.metadata.cli.SourceTypes.Info vmware::vapi::metadata::cli::SourceStub::Get | ( | string | sourceId | ) | `[inline]`

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .

Returns:
  The Source.Info instance that corresponds to sourceId

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.cli.SourceTypes.Info> vmware::vapi::metadata::cli::SourceStub::GetAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The Source.Info instance that corresponds to sourceId

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task<vmware.vapi.metadata.cli.SourceTypes.Info> vmware::vapi::metadata::cli::SourceStub::GetAsync | ( | string | sourceId | ) | `[inline]`

Retrieves information about the metadata source corresponding to sourceId .

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` .

Returns:
  The Source.Info instance that corresponds to sourceId

Implements vmware::vapi::metadata::cli::Source.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::cli::SourceStub::List | ( |  | ) | `[inline]`

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.source` .

Implements vmware::vapi::metadata::cli::Source.

global::System.Collections.Generic.List<string> vmware::vapi::metadata::cli::SourceStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.source` .

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::cli::SourceStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.source` .

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::vapi::metadata::cli::SourceStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of the metadata sources currently registered with the infrastructure.

Returns:
  The list of identifiers for metadata sources currently registered. The result will contain identifiers for the resource type: `com.vmware.vapi.metadata.source` .

Implements vmware::vapi::metadata::cli::Source.

void vmware::vapi::metadata::cli::SourceStub::Reload | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, all the metadata sources are reloaded.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::metadata::cli::Source.

void vmware::vapi::metadata::cli::SourceStub::Reload | ( | string | sourceId | ) | `[inline]`

Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, all the metadata sources are reloaded.

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task vmware::vapi::metadata::cli::SourceStub::ReloadAsync | ( | string | sourceId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, all the metadata sources are reloaded.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::vapi::metadata::cli::Source.

global::System.Threading.Tasks.Task vmware::vapi::metadata::cli::SourceStub::ReloadAsync | ( | string | sourceId | ) | `[inline]`

Reloads the CLI metadata from all the metadata sources or of a particular metadata source if sourceId is specified.

Exceptions:

  vmware.vapi.std.errors.NotFound | If the metadata source identifier is not found.

Parameters:

  sourceId | Identifier of the metadata source. The parameter must be an identifier for the resource type: `com.vmware.vapi.metadata.source` . If unspecified, all the metadata sources are reloaded.

Implements vmware::vapi::metadata::cli::Source.

The documentation for this class was generated from the following file:

- cli/SourceStub.cs